If you plan to install the Client Integration Plug-in separately from the vSphere Web Client so that you can connect to an ESXi host and deploy or upgrade the vCenter Server Appliance, make sure that your browser supports the Client Integration Plug-in.

To use the Client Integration Plug-in, verify that you have one of the supported Web browsers.

Table 1. Supported Web Browsers
Browser Supported Versions
Microsoft Internet Explorer Version 10 and 11
Mozilla Firefox

Version 30 and later

Google Chrome

Version 35 and later